%define rel 1
%define srcname ktp-accounts-kcm

Summary:        KControl Module which handles Telepathy Accounts
Name:           telepathy-kde-accounts-kcm
Version: 16.12.3
Release:        %mkrel %{rel}
License:        GPLv2+
Group:          Networking/Instant messaging
Url:            https://projects.kde.org/projects/extragear/network/telepathy/ktp-accounts-kcm
Source0:        http://download.kde.org/stable/kde-telepathy/%{version}/src/%{srcname}-%{version}.tar.xz

BuildRequires:  telepathy-kde-common-internals-devel >= %{version}

BuildRequires:  kf5-macros
BuildRequires:  kcmutils-devel
BuildRequires:  kio-devel
BuildRequires:  ki18n-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kcodecs-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kitemviews-devel

BuildRequires:  intltool
BuildRequires:  kaccounts-integration-devel

Requires:       telepathy-kde-auth-handler = %{version}
Obsoletes:      telepathy-kde-accounts-kcm-plugins < 0.2.0-0
Obsoletes:      telepathy-accounts-kcm < 0.2.0-0

%description
This is a KControl Module which handles adding/editing/removing Telepathy
Accounts. It interacts with any Telepathy Spec compliant AccountManager,
such as telepathy-accountmanager-kwallet to manipulate the accounts.

%files 
%_qt5_plugindir/kaccounts/ui/*.so
%_qt5_plugindir/*.so
%_kf5_datadir/accounts/providers/kde/*.provider
%_kf5_datadir/accounts/services/kde/*.service
%_kf5_services/*.desktop
%_kf5_servicetypes/ktpaccountskcminternal-accountuiplugin.desktop
%_kf5_datadir/telepathy/profiles/*.profile

#------------------------------------------------------------------------------

%define major 16
%define libname    %mklibname ktpaccountskcminternal %{major}
#Added on 2011/11/27 for the switch to 0.2 to match upstream name
%define oldlibname %mklibname telepathy-accounts-kcm 4


%package -n %{libname}
Summary:    Library package for %{name}
Group:      System/Libraries
%rename %{oldlibname}

%description -n %{libname}
Library package for %{name}.

%files -n %{libname}
%{_kf5_libdir}/libktpaccountskcminternal.so.%{major}*
%{_kf5_libdir}/libktpaccountskcminternal.so.9

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090184
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076926
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072116
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067433
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061497
- New version 16.08.2

* Tue Sep 27 2016 neoclust <neoclust> 16.08.1-2.mga6
+ Revision: 1057068
- Rebuild for armv5

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050760
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047413
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040163
- New version 16.04.3
- New version 16.04.2
- New version 16.04.2

* Thu May 12 2016 neoclust <neoclust> 16.04.1-2.mga6
+ Revision: 1014297
- New version 16.04.1

* Thu May 05 2016 daviddavid <daviddavid> 16.04.0-2.mga6
+ Revision: 1009630
- rebuild with fixed files list

* Wed Apr 27 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1006717
- New version 16.04.0

* Mon Apr 04 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 998084
- New version 16.03.80

* Sun Mar 20 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 993233
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987657
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922718
- New version 15.12.1
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905443
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901179
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890672
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880472
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865990
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863651
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 862228
- New version 15.07.90

* Fri Jul 31 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 860167
- New version 15.07.80
- New version 15.07.80

* Sun Jul 19 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 855335
- New version 15.04.3

* Fri Feb 06 2015 lmenut <lmenut> 0.9.0-1.mga5
+ Revision: 813743
- Update to 0.9.0

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-3.mga5
+ Revision: 749884
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-2.mga5
+ Revision: 689793
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 0.8.1-1.mga5
+ Revision: 667399
- Update to 0.8.1

* Sun Mar 16 2014 fwang <fwang> 0.8.0-1.mga5
+ Revision: 604101
- 0.8.0

* Sun Feb 23 2014 fwang <fwang> 0.7.80-1.mga5
+ Revision: 595819
- update file list
- new version 0.7.80

* Thu Feb 06 2014 fwang <fwang> 0.7.1-1.mga5
+ Revision: 584501
- drop upstream patch
- 0.7.1

* Sun Nov 03 2013 lmenut <lmenut> 0.7.0-1.mga4
+ Revision: 549304
- Update to 0.7.0

* Mon Oct 21 2013 umeabot <umeabot> 0.7-0.beta1.2.mga4
+ Revision: 540878
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 mikala <mikala> 0.7-0.beta1.1.mga4
+ Revision: 493859
- Fix files list
- Update tarball to 0.6.80 aka 0.7 beta1

* Wed Aug 14 2013 fwang <fwang> 0.6.3-1.mga4
+ Revision: 466267
- new version 0.6.3

* Tue May 28 2013 mikala <mikala> 0.6.2-1.mga4
+ Revision: 429056
- Update tarball to 0.6.2

* Wed Apr 03 2013 mikala <mikala> 0.6.0-1.mga3
+ Revision: 407395
- Update tarball to 0.6.0

* Fri Mar 08 2013 neoclust <neoclust> 0.5.80-1.mga3
+ Revision: 401744
- New version

* Wed Feb 20 2013 mikala <mikala> 0.5.3-1.mga3
+ Revision: 399556
- Update tarball to 0.5.3

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-2.mga3
+ Revision: 384239
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 mikala <mikala> 0.5.2-1.mga3
+ Revision: 332482
- Update tarball to 0.5.2

* Tue Oct 16 2012 mikala <mikala> 0.5.1-1.mga3
+ Revision: 306896
- Update tarball to 0.5.1

* Wed Aug 29 2012 mikala <mikala> 0.5.0-1.mga3
+ Revision: 285430
- Update tarball to 0.5.0
- Drop patch0(merged)

* Tue Jul 17 2012 neoclust <neoclust> 0.4.0-1.mga3
+ Revision: 271797
- New version 0.4.0

* Sun Jan 29 2012 mikala <mikala> 0.3.0-1.mga2
+ Revision: 202919
- Fix Source url
- Add missing requires
- Update description
- Update tarball to 0.3.0
- Add patch0 to fix build of po files ( kde #292593)
- Fix usage of %%find_lang macro
- Fix Group
- Remove useless provides

* Sun Nov 27 2011 mikala <mikala> 0.2.0-1.mga2
+ Revision: 173196
- Update tarball to 0.2.0
- rename package name
- fix files list
- fix group for library & devel package
- fix some rpmlint warning
- Rename package to match upstream name

* Fri Oct 07 2011 mikala <mikala> 0.1-0.git20111005.1.mga2
+ Revision: 152767
- Update git snapshot
- fix file list
- obsoletes telepathy-kde-accounts-kcm-plugins ( merged by upstream)

* Thu Sep 22 2011 mikala <mikala> 0.1-0.git20110921.1.mga2
+ Revision: 146700
- Update git snapshot
- Update git tarball

* Fri Jun 24 2011 dmorgan <dmorgan> 0.0-0.git20110624.2.mga2
+ Revision: 113006
- New snapshot

* Fri Jun 24 2011 dmorgan <dmorgan> 0.0-0.git20110405.2.mga2
+ Revision: 113003
- New snapshot

  + mikala <mikala>
    - Update Url

* Sat Apr 16 2011 ahmad <ahmad> 0.0-0.git20110405.2.mga1
+ Revision: 86061
- bump rel
- add more requires and provides

* Sat Apr 16 2011 ahmad <ahmad> 0.0-0.git20110405.1.mga1
+ Revision: 86042
- fix the version tag

* Fri Apr 15 2011 ahmad <ahmad> 0.git20110405-1.mga1
+ Revision: 85997
- imported package telepathy-accounts-kcm

